profile
viewpoint
If you are wondering where the data of this site comes from, please visit https://api.github.com/users/StephaneMangin/events. GitMemory does not store any data, but only uses NGINX to cache data for a period of time. The idea behind GitMemory is simply to give users a better reading experience.
Stéphane Mangin StephaneMangin Rennes, Bretagne, France

camptocamp/git-autoshare 0

A git clone wrapper that automatically uses --reference to save disk space and download time.

escarabin/cookorico_web 0

ouestemploichr V2 using Angular 2 + Laravel 5

StephaneMangin/account-analytic 0

Odoo Account Analytic Related Addons

StephaneMangin/account-closing 0

Odoo Accountant closing tools

StephaneMangin/account-consolidation 0

Odoo Account Consolidation Addons

StephaneMangin/account-financial-reporting 0

Financial reports for Odoo

StephaneMangin/account-financial-tools 0

Odoo Accountant Financial Tools and Utils

StephaneMangin/account-invoicing 0

Odoo Invoicing Extension Addons

StephaneMangin/account-reconcile 0

Odoo account reconciliation modules (statements, data completion...)

StephaneMangin/auto_backup 0

Automated database backups from Odoo, both locally and on an FTP server

push eventcamptocamp/server-tools

Stephane Mangin

commit sha ad7211d16ca16a27fee0127f3583de8402711f2d

[MIG] database_cleanup: Migration to 14.0

view details

push time in 2 days

push eventStephaneMangin/server-tools

Stephane Mangin

commit sha ad7211d16ca16a27fee0127f3583de8402711f2d

[MIG] database_cleanup: Migration to 14.0

view details

push time in 2 days

push eventStephaneMangin/l10n-switzerland

Stephane Mangin

commit sha faabf3a9d9f84e54b67e2b0ffab08faa43748988

[12.0][ADD] module l10n_ch_delivery_carrier_label_quickpac

view details

push time in 2 days

push eventcamptocamp/server-tools

Stephane Mangin

commit sha 6a24fbd7c234e88f27f271eb534c652d8cb6fc4f

[MIG] database_cleanup: Migration to 14.0

view details

push time in 2 days

push eventStephaneMangin/server-tools

Stephane Mangin

commit sha 6a24fbd7c234e88f27f271eb534c652d8cb6fc4f

[MIG] database_cleanup: Migration to 14.0

view details

push time in 2 days

pull request commentOCA/server-tools

[MIG] database_cleanup: Migration to 14.0

The model created to test the model cleaning bahavior fails. Issue append while loading the module after the test have been succeded :

        # 2021-09-23 10:40:28,565 93 INFO odoodb_test odoo.modules.loading: Module database_cleanup loaded in 37.01s (incl. 36.22s test), 768 queries (+5536 test)
        # 2021-09-23 10:45:05,416 92 WARNING odoodb_test odoo.modules.loading: Transient module states were reset
        # 2021-09-23 10:45:05,416 92 ERROR odoodb_test odoo.modules.registry: Failed to load registry
        # 2021-09-23 10:45:05,416 92 CRITICAL odoodb_test odoo.service.server: Failed to initialize database `odoodb_test`.
        # Traceback (most recent call last):
        #   File "/odoo/src/odoo/service/server.py", line 1199, in preload_registries
        #     registry = Registry.new(dbname, update_module=update_module)
        #   File "/odoo/src/odoo/modules/registry.py", line 89, in new
        #     odoo.modules.load_modules(registry._db, force_demo, status, update_module)
        #   File "/odoo/src/odoo/modules/loading.py", line 451, in load_modules
        #     force, status, report, loaded_modules, update_module, models_to_check)
        #   File "/odoo/src/odoo/modules/loading.py", line 348, in load_marked_modules
        #     perform_checks=perform_checks, models_to_check=models_to_check
        #   File "/odoo/src/odoo/modules/loading.py", line 187, in load_module_graph
        #     model_names = registry.load(cr, package)
        #   File "/odoo/src/odoo/modules/registry.py", line 232, in load
        #     model = cls._build_model(self, cr)
        #   File "/odoo/src/odoo/models.py", line 588, in _build_model
        #     ModelClass._build_model_attributes(pool)
        #   File "/odoo/src/odoo/models.py", line 670, in _build_model_attributes
        #     child_class = pool[child_name]
        #   File "/odoo/src/odoo/modules/registry.py", line 177, in __getitem__
        #     return self.models[model_name]
        # KeyError: 'x_database.cleanup.test.model'

Recreating the model in tearDown does the job ... but why ?

StephaneMangin

comment created time in 2 days

push eventStephaneMangin/server-tools

Stephane Mangin

commit sha 64c7a9fd6f38213a2b6a90d5217e19da5d8f0938

[MIG] database_cleanup: Migration to 14.0

view details

push time in 2 days

push eventStephaneMangin/server-tools

Stephane Mangin

commit sha 328639d44049159d472a055ee842887181ee97a3

[MIG] database_cleanup: Migration to 14.0

view details

push time in 2 days

push eventStephaneMangin/l10n-switzerland

Stephane Mangin

commit sha 558d1510b7bd6bacbafa0092b7852e1cb5070a8b

[12.0][ADD] module l10n_ch_delivery_carrier_label_quickpac

view details

push time in 2 days

push eventStephaneMangin/geospatial

Stephane Mangin

commit sha b13a28a057908c9c38bcf44895c7750cd6ca064c

[FIX] vertex layer label (generalize to all layer types)

view details

push time in 2 days

push eventStephaneMangin/l10n-switzerland

Stephane Mangin

commit sha 8fe87af2c785646d5523466b88d3b8b2e7c0fa6f

[12.0][ADD] module l10n_ch_delivery_carrier_label_quickpac

view details

push time in 2 days

create barnchcamptocamp/server-tools

branch : merge-branch-7800-14.0.0.0.4

created branch time in 4 days

create barnchcamptocamp/server-tools

branch : merge-branch-7800-14.0.0.0.3

created branch time in 4 days

create barnchcamptocamp/odoo

branch : merge-branch-7800-MWPRO-10-09aea72f

created branch time in 4 days

create barnchcamptocamp/odoo

branch : mrp_data_fix

created branch time in 4 days

create barnchcamptocamp/server-tools

branch : merge-branch-7800-14.0.0.0.2

created branch time in 4 days

create barnchcamptocamp/odoo

branch : merge-branch-7800-MWPRO-10-cacfe11b

created branch time in 5 days

create barnchStephaneMangin/odoo

branch : mrp_data_fix

created branch time in 5 days

push eventStephaneMangin/odoo

Stephane Mangin

commit sha eb06cefe4d057dedd4cb24e825436b49347f94fe

[FIX] MRP data with company fails

view details

push time in 5 days

push eventcamptocamp/server-tools

Stephane Mangin

commit sha 10de2e0f769849cfab3385b32689f1d74795474f

[MIG] database_cleanup: Migration to 14.0

view details

push time in 5 days

push eventcamptocamp/server-tools

Stephane Mangin

commit sha 413b82c22796fde686efb17a5db28dfc392ee121

[MIG] database_cleanup: Migration to 14.0

view details

push time in 5 days

push eventStephaneMangin/server-tools

Stephane Mangin

commit sha 413b82c22796fde686efb17a5db28dfc392ee121

[MIG] database_cleanup: Migration to 14.0

view details

push time in 5 days

push eventcamptocamp/server-tools

Stephane Mangin

commit sha 19492d8c9f04ca00b703743c8c78f566c91ed1ec

Merge commit 'refs/pull/1990/head' of github.com:OCA/server-tools into merge-branch-7800-MWPRO-10-14b47c1e

view details

Stephane Mangin

commit sha a17cefdc7d7681cec5127da0652d19e5ca1f97b7

Travis: exclude new branch from build

view details

push time in 5 days

create barnchcamptocamp/server-tools

branch : merge-branch-7800-MWPRO-10-14b47c1e

created branch time in 5 days

issue openedodoo/odoo

mrp failed to install/update its data

Impacted versions: 14.0

Steps to reproduce: Update the module mrp. (in this case a migrated database from odoo)

Current behavior: Fail to insert odoo/src/addons/mrp/data/mrp_data.xml

Expected behavior: A functional insertion of the data

Video/Screenshot link (optional):

2021-09-16 11:30:55,686 269 INFO odoodb odoo.modules.loading: Loading module mrp (87/136) 2021-09-16 11:30:57,628 269 INFO odoodb odoo.modules.registry: module mrp: creating or updating database tables 2021-09-16 11:30:57,967 269 INFO odoodb odoo.modules.loading: loading mrp/security/mrp_security.xml 2021-09-16 11:30:58,111 269 INFO odoodb odoo.modules.loading: loading mrp/security/ir.model.access.csv 2021-09-16 11:30:58,221 269 INFO odoodb odoo.modules.loading: loading mrp/data/digest_data.xml 2021-09-16 11:30:58,227 269 INFO odoodb odoo.modules.loading: loading mrp/data/mrp_data.xml 2021-09-16 11:30:58,241 269 WARNING odoodb odoo.modules.loading: Transient module states were reset 2021-09-16 11:30:58,242 269 ERROR odoodb odoo.modules.registry: Failed to load registry 2021-09-16 11:30:58,242 269 CRITICAL odoodb odoo.service.server: Failed to initialize database odoodb. Traceback (most recent call last): File "/odoo/src/odoo/tools/convert.py", line 677, in _tag_root f(rec) File "/odoo/src/odoo/tools/convert.py", line 580, in _tag_record record = model._load_records([data], self.mode == 'update') File "/odoo/src/odoo/models.py", line 4196, in _load_records data['record']._load_records_write(data['values']) File "/odoo/src/odoo/models.py", line 4133, in _load_records_write self.write(values) File "/odoo/src/odoo/models.py", line 3708, in write self._check_company() File "/odoo/src/odoo/models.py", line 3320, in _check_company raise UserError("\n".join(lines)) odoo.exceptions.UserError: Incompatible companies on records:

  • 'Manufacture' belongs to company False and 'Products' (product_ids: (...) ) belongs to another company.

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File "/odoo/src/odoo/service/server.py", line 1199, in preload_registries registry = Registry.new(dbname, update_module=update_module) File "/odoo/src/odoo/modules/registry.py", line 89, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "/odoo/src/odoo/modules/loading.py", line 460, in load_modules loaded_modules, update_module, models_to_check) File "/odoo/src/odoo/modules/loading.py", line 348, in load_marked_modules perform_checks=perform_checks, models_to_check=models_to_check File "/odoo/src/odoo/modules/loading.py", line 221, in load_module_graph load_data(cr, idref, mode, kind='data', package=package) File "/odoo/src/odoo/modules/loading.py", line 69, in load_data tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind) File "/odoo/src/odoo/tools/convert.py", line 733, in convert_file convert_xml_import(cr, module, fp, idref, mode, noupdate) File "/odoo/src/odoo/tools/convert.py", line 799, in convert_xml_import obj.parse(doc.getroot()) File "/odoo/src/odoo/tools/convert.py", line 719, in parse self._tag_root(de) File "/odoo/src/odoo/tools/convert.py", line 677, in _tag_root f(rec) File "/odoo/src/odoo/tools/convert.py", line 685, in _tag_root )) from e odoo.tools.convert.ParseError: while parsing /odoo/src/addons/mrp/data/mrp_data.xml:10, near <record id="route_warehouse0_manufacture" model="stock.location.route"> <field name="name">Manufacture</field> <field name="company_id"/> <field name="sequence">5</field> </record>

Temporary solution : Remove <field name="company_id"></field> from the route_warehouse0_manufacture record.

Support ticket number submitted via odoo.com/help (optional): None

Duplicate with a different context of https://github.com/odoo/odoo/issues/64480

created time in 9 days

push eventStephaneMangin/l10n-switzerland

Stephane Mangin

commit sha 7862ca1b8618bf5e63596c1573bb740429e009b7

[12.0][ADD] module l10n_ch_delivery_carrier_label_quickpac

view details

push time in 10 days

Pull request review commentOCA/l10n-switzerland

[12.0][ADD] module l10n_ch_delivery_carrier_label_quickpac

+# Copyright 2021 Camptocamp SA+# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl).+import base64++from odoo import _, api, models+from odoo.exceptions import UserError++from ..quickpac.web_service import QuickpacWebService+++class StockPicking(models.Model):+    _inherit = "stock.picking"++    @api.multi+    @api.onchange("carrier_id")+    def onchange_carrier_id(self):+        for picking in self:+            partner = picking.partner_id+            delivery_type = picking.carrier_id.delivery_type+            if delivery_type != "quickpac" or not partner:+                continue+            service = QuickpacWebService(picking.company_id)+            if not service.is_deliverable_zipcode(partner.zip):+                raise UserError(+                    _("This partner is undeliverable (invalid zipcode).")+                )

You're right, i'll remove that part. The error will raise if needed later on after all

StephaneMangin

comment created time in 10 days

PullRequestReviewEvent

create barnchcamptocamp/server-tools

branch : merge-branch-559-14.0.1.0.12

created branch time in 11 days